VerityVerity
API Reference

Search drug formulary evidence

Search commercial pharmacy-benefit evidence from CVS Caremark, Express Scripts, and UnitedHealthcare / Optum Rx.

GET
/drugs/formulary

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Query Parameters

q*string

Drug name or therapeutic category search query

Length2 <= length <= 200
payer?string

Optional payer/PBM source filter

Default"all"
Value in"all" | "cvs_caremark" | "express_scripts" | "uhc"
limit?integer

Maximum results per source

Default25
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://verity.backworkai.com/api/v1/drugs/formulary?q=string"
{
  "success": true,
  "data": [
    {
      "source": "cvs_caremark",
      "payer_name": "string",
      "pbm_name": "string",
      "formulary_name": "string",
      "plan_year": 0,
      "effective_date": "2019-08-24",
      "drug_name": "string",
      "matched_text": "string",
      "therapeutic_category": "string",
      "drug_class": "string",
      "tier": "string",
      "coverage_status": "string",
      "requirements": {
        "prior_authorization": true,
        "step_therapy": true,
        "quantity_limit": true,
        "specialty": true,
        "text": "string",
        "codes": [
          "string"
        ]
      },
      "alternatives": "string",
      "preferred_alternatives": "string",
      "source_url": "http://example.com",
      "source_page": 0
    }
  ],
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "search": {
      "query": "string",
      "payer": "string"
    },
    "counts": {
      "cvs_caremark": 0,
      "express_scripts": 0,
      "uhc": 0,
      "total": 0
    },
    "limit_per_source": 0
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}

Last updated on